Initiate Refresh

Instruct Bud to retrieve the latest account information for a customer. Refresh the accounts from a single provider with an existing connection.

By default this task will retrieve transactions since the last pull of transactions less seven days. This can be overridden using the from body parameter to a maximum of 90 days previously.

After initiating this long running process, make sure to check the status of the it till completion before trying to access the Customer's data or initiating another refresh.

If the customer's provider was fetched (connect or refresh) within the last hour, the endpoint will return the task_id of the previous task instead of refreshing the data again.

If the customer's consent has been revoked or expired for this provider, Bud will be unable to refresh the account. This will be confirmed in the response of the refresh status endpoint associated with the task_id provided in the response to this endpoint, where the reconnect_required field will set to true and status set to Completed.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The name of the provider the task is trying to connect to

string

The datetime (ISO 8601) that defines the time since when the Customer's data needs to be collected. Defaults to the datetime of the last pull of transactions less seven days to account for any potential changes to the most recent set of transactions. Refreshes can only go back to a maximum of 90 days from the current date.

string

The datetime (ISO 8601) that defines the time up to which the Customer's data needs to be collected. Defaults to the current datetime. Refreshes can only go back to a maximum of 90 days from the current date.

Headers
string
required

The API Client Identifier (Service Application Identifier).

uuid
required

A unique identifier for a Customer, as registered on Bud's platform.

string

Use the internal client identifier, provided in the client_metadata object when creating the customer in Create Customer V3, in place of an X-Customer-Id header.

string

The Bud Customer secret used to encrypt customer data. This is required only if the customer secret is not already stored with Bud.

string

The IP address of the personal device the customer is initiating the refresh from. This header should only be supplied if the customer has initiated the refresh from a personal device, and never if the refresh has been initated from an automated process such as a script. The IP address is forwarded to the provider and can help avoid hitting limits on how frequently a refresh can be initiated.

Responses

405

The request uses an unexpected HTTP method

5XX

An unexpected error occurred on the server side

Callbacks
Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json